> ## Documentation Index
> Fetch the complete documentation index at: https://docs.corgea.app/llms.txt
> Use this file to discover all available pages before exploring further.

# Get a triage action

> Retrieve a bulk triage action and its paginated, immutable finding audit records.



## OpenAPI

````yaml /api-reference/openapi.json get /triage/actions/{action_id}
openapi: 3.0.0
info:
  title: Corgea API
  version: 1.0.0
  description: >-
    API for interacting with Corgea's scanning and vulnerability management
    features
servers:
  - url: https://www.corgea.app/api/v1
    description: Production server
security:
  - CorgeaToken: []
  - BearerAuth: []
paths:
  /triage/actions/{action_id}:
    get:
      tags:
        - Triage
      summary: Get a triage action
      description: >-
        Retrieve a bulk triage action and its paginated, immutable finding audit
        records.
      operationId: getTriageAction
      parameters:
        - name: action_id
          in: path
          required: true
          schema:
            type: string
            format: uuid
        - name: page
          in: query
          schema:
            type: integer
            minimum: 1
            default: 1
        - name: page_size
          in: query
          schema:
            type: integer
            minimum: 1
            maximum: 100
            default: 50
      responses:
        '200':
          description: Triage action and finding audit records
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/TriageActionDetailResponse'
        '400':
          description: Invalid pagination parameters
        '404':
          description: Action not found or not accessible
components:
  schemas:
    TriageActionDetailResponse:
      allOf:
        - $ref: '#/components/schemas/TriageActionResponse'
        - type: object
          properties:
            findings:
              type: array
              items:
                $ref: '#/components/schemas/TriageFindingAudit'
            pagination:
              type: object
              properties:
                page:
                  type: integer
                page_size:
                  type: integer
                total_pages:
                  type: integer
                total_findings:
                  type: integer
    TriageActionResponse:
      type: object
      properties:
        status:
          type: string
          example: ok
        action:
          $ref: '#/components/schemas/TriageAction'
    TriageFindingAudit:
      type: object
      properties:
        id:
          type: string
          format: uuid
        finding_type:
          type: string
          enum:
            - sast
            - sca
        finding_id:
          type: string
          format: uuid
          nullable: true
        project_id:
          type: integer
          nullable: true
        previous_status:
          type: string
          nullable: true
        previous_status_comment:
          type: string
          nullable: true
        previous_accepted_risk_expiry_date:
          type: string
          format: date-time
          nullable: true
        new_status:
          type: string
        new_status_comment:
          type: string
          nullable: true
        severity:
          type: string
          nullable: true
        application_status:
          type: string
          enum:
            - pending
            - applied
            - conflict
            - unmatched
            - ambiguous
        match_evidence:
          type: object
        source_record:
          type: object
        applied_at:
          type: string
          format: date-time
          nullable: true
    TriageAction:
      type: object
      properties:
        id:
          type: string
          format: uuid
        status:
          type: string
          enum:
            - preview
            - pending_approval
            - applied
            - rejected
            - failed
        source:
          type: string
          enum:
            - api
            - cli
            - cxone
        target_status:
          type: string
        justification:
          type: string
        accepted_risk_expiry_date:
          type: string
          format: date-time
          nullable: true
        rule:
          type: object
        source_metadata:
          type: object
        requires_approval:
          type: boolean
        requested_by:
          type: integer
          nullable: true
        approved_by:
          type: integer
          nullable: true
        rejected_by:
          type: integer
          nullable: true
        created_at:
          type: string
          format: date-time
        reviewed_at:
          type: string
          format: date-time
          nullable: true
        applied_at:
          type: string
          format: date-time
          nullable: true
        counts:
          type: object
          properties:
            matched:
              type: integer
            unmatched:
              type: integer
            ambiguous:
              type: integer
            applied:
              type: integer
            conflicts:
              type: integer
  securitySchemes:
    CorgeaToken:
      type: apiKey
      in: header
      name: CORGEA-TOKEN
      description: API key for authentication
    BearerAuth:
      type: http
      scheme: bearer
      bearerFormat: JWT
      description: OAuth2 access token (JWT) in the Authorization header

````